/*
 *     jsz.Plotter - a Swing-based Java package for plotting data
 * Copyright (C) 2000  Janek Schwarz <schwarz@informatik.hu-berlin.de>
 *
 *                    This software is dedicated to 
 *                             THE RAMONES
 *                       the best punk band ever.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: LegendPanel.java,v 1.4 2000/02/03 21:01:33 schwarz Exp $
 */
package jsz.Plotter;

import javax.swing.*;
import java.util.*;
import java.awt.*;

/**
 * This class is a convinience class for displaying the legends
 * of dataseries. Since these legeds are implemented as {@link
 * jsz.Plotter.LegendLabel}, a subclass of JLabel, you
 * could instantiate those labels and add them to a JPanel of
 * your choice. Using a LegendPanel instance, you don't have to
 * create such LegendLabels yourself. Instead, you simply add the
 * dataseries' with the addPlot() method.
 */ 
public class LegendPanel
  extends JPanel
{

/**
 * Add a dataseries to this panel and display its legend.
 */
public LegendPanel addPlot(IDataSeries ds)
{
  JLabel label = new LegendLabel(ds);
  add(label);
  
  return this;
}

/**
 * Add a dataseries to this panel and display its legend.
 */
public LegendPanel add(IDataSeries ds)
{
  return addPlot(ds);
}
};

