/*
 *     jsz.Plotter - a Swing-based Java package for plotting data
 * Copyright (C) 2000  Janek Schwarz <schwarz@informatik.hu-berlin.de>
 *
 *                    This software is dedicated to 
 *                             THE RAMONES
 *                       the best punk band ever.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: UpdateDescription.java,v 1.4 2000/02/03 21:01:45 schwarz Exp $
 */
package jsz.Plotter;

/**
 * If an {@link java.util.Observable} object has been changed, it
 * notifies it's {@link java.util.Observer}s. This class
 * implements description objects, which are passed to the
 * observers, so they know what changed specifically. It makes
 * only sense to use this class within classes from the {@link
 * jsz.Plotter} package.
 */  
public class UpdateDescription
{
/*
 * what has been changed:
 *    ALL: everything
 *    DATA: the data
 *    GRAPH_COLOR: the color the graph is drawn with
 *    LEGEND: the legend
 */
/**
 * everything has changed.
 */
public final static int ALL          = 0;

/**
 * The data has changed.
 */
public final static int DATA         = 1;

/**
 * The default color has changed
 */
public final static int GRAPH_COLOR  = 2;

/**
 * The legend has changed
 */
public final static int LEGEND       = 3;

/**
 * What has changed
 */
public int    reason = ALL;

/**
 * reference to the object that has changed
 */
public Object obj    = null;

public UpdateDescription(Object obj,
                         int    reason)
{
  this.obj    = obj;
  this.reason = reason;
}
};
